Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Interface UserInfo

All Known Implementing Classes:
  CachingRealm.CaseInsensitiveUserInfo, DefaultUserInfoImpl

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

public interface UserInfo
extends java.security.Principal, java.io.Serializable

UserInfo objects are created by a RealmProxy and passed to the T3Client constructor. They are transmitted to the WebLogic Server, where the corresponding realm retrieves the corresponding user and checks it against the provided information.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.

Field Summary
`static long` | `serialVersionUID` Deprecated.

Method Summary
`java.lang.String` | `getName()` Deprecated. Returns the name associated with a UserInfo.
`java.lang.String` | `getRealmName()` Deprecated. Returns the realm name associated with a UserInfo.

Methods inherited from interface java.security.Principal
`equals, hashCode, toString`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

  Deprecated.

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the name associated with a UserInfo.
  Specified by:
    getName in interface java.security.Principal

  Returns:
    String username

### getRealmName

    public java.lang.String getRealmName()

  Deprecated.
  Returns the realm name associated with a UserInfo.

  Returns:
    String realm name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference